Qt 5.11 | Qt WebEngine | C++ Classes | QWebEngineUrlSchemeHandler

Qt 5.11.3 Reference Documentation

# QWebEngineUrlSchemeHandler Class

The QWebEngineUrlSchemeHandler is a base class for handling custom URL schemes. More...

Header: | #include <QWebEngineUrlSchemeHandler>
Since: | Qt 5.6

- List of all members, including inherited members

## Public Functions

| QWebEngineUrlSchemeHandler(QObject *parent = Q_NULLPTR)
virtual | ~QWebEngineUrlSchemeHandler()
virtual void | requestStarted(QWebEngineUrlRequestJob *) = 0

## Detailed Description

The QWebEngineUrlSchemeHandler is a base class for handling custom URL schemes.

To implement a custom URL scheme for QtWebEngine, you must write a class derived from this class, and reimplement requestStarted(). Then install it via QWebEngineProfile::installUrlSchemeHandler() or QQuickWebEngineProfile::installUrlSchemeHandler().

## Member Function Documentation

### QWebEngineUrlSchemeHandler::QWebEngineUrlSchemeHandler(QObject *parent = Q_NULLPTR)

Constructs a new URL scheme handler.

The handler is created with the parent parent.

### `[virtual]` QWebEngineUrlSchemeHandler::~QWebEngineUrlSchemeHandler()

Deletes a custom URL scheme handler.

### `[pure virtual]` void QWebEngineUrlSchemeHandler::requestStarted(QWebEngineUrlRequestJob *)